KFilterBase Class Referenceabstract

`#include <kfilterbase.h>`

Inherits QObject.

## Public Types

enum | Result { OK, END, ERROR }

## Public Member Functions

void | setDevice (QIODevice *dev, bool autodelete=false)
QIODevice * | device ()
virtual void | init (int mode)=0
virtual int | mode () const =0
virtual void | terminate ()
virtual void | reset ()
virtual bool | readHeader ()=0
virtual bool | writeHeader (const QCString &filename)=0
virtual void | setOutBuffer (char *data, uint maxlen)=0
virtual void | setInBuffer (const char *data, uint size)=0
virtual bool | inBufferEmpty () const
virtual int | inBufferAvailable () const =0
virtual bool | outBufferFull () const
virtual int | outBufferAvailable () const =0
virtual Result | uncompress ()=0
virtual Result | compress (bool finish)=0

## Static Public Member Functions

static KFilterBase * | findFilterByFileName (const QString &fileName)
static KFilterBase * | findFilterByMimeType (const QString &mimeType)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QIODevice * | m_dev
bool | m_bAutoDel

## Detailed Description

This is the base class for compression filters such as gzip and bzip2.

It's pretty much internal. Don't use directly, use KFilterDev instead.

Definition at line 38 of file kfilterbase.h.

## Member Function Documentation

QIODevice* KFilterBase::device | ( |  | ) |

inline

Returns the device on which the filter will work.

Returns
  the device on which the filter will work

Definition at line 58 of file kfilterbase.h.

KFilterBase * KFilterBase::findFilterByFileName | ( | const QString & | fileName | ) |

static

Call this to create the appropriate filter for the file named `fileName`.

Parameters

  fileName | the name of the file to filter

Returns
  the filter for the `fileName`, or 0 if not found

Definition at line 42 of file kfilterbase.cpp.

KFilterBase * KFilterBase::findFilterByMimeType | ( | const QString & | mimeType | ) |

static

Call this to create the appropriate filter for the mimetype `mimeType`.

For instance application/x-gzip.

Parameters

  mimeType | the mime type of the file to filter

Returns
  the filter for the `mimeType`, or 0 if not found

Definition at line 49 of file kfilterbase.cpp.

void KFilterBase::setDevice | ( | QIODevice * | dev,
|  | bool | autodelete = `false`
| ) |  |

Sets the device on which the filter will work.

Parameters

  dev | the device on which the filter will work
  autodelete | if true, `dev` is deleted when the filter is deleted

Definition at line 36 of file kfilterbase.cpp.

The documentation for this class was generated from the following files:

- kfilterbase.h
- kfilterbase.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys